<?php

namespace Drupal\prometheus_metrics\Events;

use Drupal\Core\Entity\EntityInterface;
use Symfony\Component\EventDispatcher\Event;

class EntityCRUDEvent extends Event
{
  /**
   * @var EntityInterface
   * @todo// currently no value in having this. Remove/ use in logging?
   */
  private $entity;

  /**
   * @var string
   */
  private $type;

  /**
   *  @todo// currently no value in having this. Remove / use in logging?
   * @var int|string|null
   */
  private $id;

  public function __construct(EntityInterface $entity)
  {
    $this->entity = $entity;
    $this->type = $this->entity->bundle();
    $this->id = $entity->id();
  }

  public function getType(){
    return $this->type;
  }
}
